import os
from gcore import Gcore
client = Gcore(
api_key=os.environ.get("GCORE_API_KEY"), # This is the default and can be omitted
)
page = client.cdn.logs_uploader.targets.list()
page = page.results[0]
print(page.id)package main
import (
"context"
"fmt"
"github.com/G-Core/gcore-go"
"github.com/G-Core/gcore-go/cdn"
"github.com/G-Core/gcore-go/option"
)
func main() {
client := gcore.NewClient(
option.WithAPIKey("My API Key"),
)
page, err := client.CDN.LogsUploader.Targets.List(context.TODO(), cdn.LogsUploaderTargetListParams{})
if err != nil {
panic(err.Error())
}
fmt.Printf("%+v\n", page)
}
curl --request GET \
--url https://api.gcore.com/cdn/logs_uploader/targets \
--header 'Authorization: <api-key>'const options = {method: 'GET', headers: {Authorization: '<api-key>'}};
fetch('https://api.gcore.com/cdn/logs_uploader/targets', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
[
{
"id": 1,
"client_id": 100,
"created": "2024-01-15T10:30:00Z",
"updated": "2024-01-15T10:30:00Z",
"storage_type": "s3_gcore",
"name": "My S3 Target",
"description": "Gcore S3 log storage",
"related_uploader_configs": [
10
],
"status": {
"status": "successful",
"code": 0,
"updated": "2024-01-15T10:30:00Z",
"details": ""
}
}
]Get targets list
Get list of logs uploader targets.
import os
from gcore import Gcore
client = Gcore(
api_key=os.environ.get("GCORE_API_KEY"), # This is the default and can be omitted
)
page = client.cdn.logs_uploader.targets.list()
page = page.results[0]
print(page.id)package main
import (
"context"
"fmt"
"github.com/G-Core/gcore-go"
"github.com/G-Core/gcore-go/cdn"
"github.com/G-Core/gcore-go/option"
)
func main() {
client := gcore.NewClient(
option.WithAPIKey("My API Key"),
)
page, err := client.CDN.LogsUploader.Targets.List(context.TODO(), cdn.LogsUploaderTargetListParams{})
if err != nil {
panic(err.Error())
}
fmt.Printf("%+v\n", page)
}
Authorizations
API key for authentication. Make sure to include the word apikey, followed by a single space and then your token.
Example: apikey 1234_abcdef
Query Parameters
Search by target name or id.
Filter by ids of related logs uploader configs that use given target.
Maximum number of items to return in the response. Cannot exceed 1000.
1 <= x <= 1000Number of items to skip from the beginning of the list.
x >= 0Response
Successful.
- Plain list · object[]
- Paginated list · object
Client that owns the target.
Time when logs uploader target was created.
Time when logs uploader target was updated.
Type of storage for logs.
s3_gcore, s3_amazon, s3_oss, s3_other, s3_v1, ftp, sftp, http, azure_blob, sls Name of the target.
255Description of the target.
255List of logs uploader configs that use this target.
Validation status of the logs uploader target. Informs if the specified target is reachable.
Show child attributes
Show child attributes
Config for specific storage type.
- S3 Gcore Config
- S3 Amazon Config
- S3 OSS Config
- S3 Other Config
- S3 V1 Config
- FTP Config
- SFTP Config
- HTTP Config
- Azure Blob Config
- SLS Config
Show child attributes
Show child attributes
Was this page helpful?